Bug 211215 - MySQL Query Browser 1.1.18 crashes if I try and "Create Table"
MySQL Query Browser 1.1.18 crashes if I try and "Create Table"
Product: Fedora
Classification: Fedora
Component: mysql-gui-tools (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-10-17 17:12 EDT by Paolo De Nictolis
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-10 14:35:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paolo De Nictolis 2006-10-17 17:12:06 EDT
Description of problem: When I try and visually create a table using MySQL Query
 Browser, it crashes.

Version-Release number of selected component (if applicable): 1.1.18, with MySQL

How reproducible:

Steps to Reproduce:
1. launch MySQL Query Browser 1.1.18
2. connect to localhost, using standard port 3306 and standard "root" account
without password
3. right-click any existing database: "information_schema", "mysql" or "test"
4. choose "Create Table"
Actual results: MySQL Query Browser crashes without error message.

Expected results: you should be able and create a new table.

Additional info:
Comment 1 Paolo De Nictolis 2006-10-17 17:19:10 EDT
MySQL Query Browser crashes even if I create my own databases using "Create
Schema", and then I try and add a table to them.
Comment 2 Tom Lane 2006-10-17 18:15:49 EDT
There's no "MySQL Query Browser" in the core mysql packages.  Perhaps you meant
to file this against some Extras package or other?
Comment 3 Paolo De Nictolis 2006-10-17 20:23:57 EDT
MySQL Query Browser is a graphical front-end for MySQL. It's developed by 
MySQL AB itself, and I downloaded it using Yum Extender, so I believe is in 
packages managed by Fedora Project.
Comment 4 Tom Lane 2007-02-09 14:57:46 EST
Reassigning to proper component.
Comment 5 Dennis Gilmore 2007-02-09 15:01:21 EST
do you have mysql-administrator installed?  mysql-query-browser calls 
mysql-administrator for editing tables
Comment 6 Paolo De Nictolis 2007-02-09 15:24:55 EST
Yes, I've installed the whole Tools suite.
Comment 7 Colin Charles 2007-02-15 09:12:08 EST
(In reply to comment #5)
> do you have mysql-administrator installed?  mysql-query-browser calls 
> mysql-administrator for editing tables

I notice that mysql-query-browser has a dependency on mysql-gui-common and not
mysql-administrator itself. And mysql-query-browser has always had a table
editor built in, so you don't need mysql-administrator (query browser is fully
standalone as an application)

I can repeat the crash with mysql-query-browser on an FC-6 box, with an error
such that its:
** (mysql-query-browser:14099): WARNING **: request for bad widget
'myisam_radio' in glade object
/usr/bin/mysql-query-browser: line 20: 14099 Segmentation fault      $PRG-bin

Incidentally, this error cannot be repeated with the upstream variant (1.2.9rc
Comment 8 Dennis Gilmore 2007-04-11 11:24:55 EDT
can you please test with the version just pushed.  it has fixed all the bugs 
i've personally seen. 

all the mysql tools are now released as one tarball. so reassigning to the new 
Comment 9 Dennis Gilmore 2007-07-09 20:56:17 EDT
please can you test that this bug has been fixed 
Comment 10 Dennis Gilmore 2007-09-10 14:35:17 EDT
closing as fixed

Note You need to log in before you can comment on or make changes to this bug.